## lprfax 0.6

=== Makefile ===
CFLAGS=-Wall -O2 -I include/
PROGS=src/g3join src/g3split src/bpatch
DESTD=/usr/lib/lprfax
CONFD=/etc/lprfax

all: $(PROGS)

install: all
	cp scripts/* $(DESTDIR)/$(DESTD)
	cp $(PROGS) $(DESTDIR)/$(DESTD)
	cp lprfax.conf $(DESTDIR)/$(CONFD)
	cp printcap $(DESTDIR)/$(CONFD)

clean:
	rm -f $(PROGS)

=== debian/changelog ===
lprfax (0.6-28) unstable; urgency=high

  * xpdf dependency -> poppler-utils

 -- Camm Maguire <camm@debian.org>  Thu, 24 Jun 2010 14:09:53 +0000

lprfax (0.6-27) unstable; urgency=low

  * Depend on texlive-latex-base

 -- Camm Maguire <camm@debian.org>  Tue, 26 Jan 2010 18:38:16 +0000

lprfax (0.6-26) unstable; urgency=low

  * sid update

 -- Camm Maguire <camm@debian.org>  Sat, 23 Jan 2010 04:05:05 +0000

lprfax (0.6-25) unstable; urgency=low

  * Discard error output if any from dpkg -s hp2pbm query in postinst, 
    thanks to Yann Dirson (Closes: #215924).

 -- Camm Maguire <camm@enhanced.com>  Thu, 16 Oct 2003 17:06:19 +0000

lprfax (0.6-24) unstable; urgency=low

  * Remove dependency on obsolete pnmtopng, Closes: #215333
  * Suggest samba and smbclient, Closes: #187216
  * Fix [[:space:]] regexp form in init script functions, Closes:
    #187217
  * Fix Reload_Printer function in init script
  * Remove dh_suidregister from rules
  * Newer standards
  * Clean copyright file

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Oct 2003 17:06:19 +0000

lprfax (0.6-23) unstable; urgency=low

  * Fix signed char issue, Closes: #169456

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Nov 2002 09:06:57 -0500

lprfax (0.6-22) unstable; urgency=low

  * Filter fixes to work around changes in lprng -- accounting file can
    no longer be accessed via file descriptor 3

 -- Camm Maguire <camm@enhanced.com>  Mon, 28 Oct 2002 20:59:03 -0500

lprfax (0.6-21) unstable; urgency=low

  * kill -HUP -> kill -s HUP in prerm for POSIX compatibility, Closes:
    #150404

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Jun 2002 08:32:04 -0400

lprfax (0.6-20) unstable; urgency=low

  * Use pdftops from xpdf for handling pdf in fax-filter

 -- Camm Maguire <camm@enhanced.com>  Wed, 20 Mar 2002 13:04:04 -0500

lprfax (0.6-19) unstable; urgency=low

  * /etc/cron.d/lprfax as conffile, Closes: #132179

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Feb 2002 09:16:41 -0500

lprfax (0.6-18) unstable; urgency=low

  * Fixed spelling errors, Closes: #125096

 -- Camm Maguire <camm@enhanced.com>  Wed, 19 Dec 2001 01:13:40 -0500

lprfax (0.6-17) unstable; urgency=low

  * Made depend on tetex-bin, as default cover page generation mechanism
    uses latex.  User can define another cover page shell function in
    lprfax.conf that doesn't use latex, but it seems most will use the
    default and need the dependency.  Closes: #117917.  If this bug
    still persists for some reason, please reopen.

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Dec 2001 12:02:30 -0500

lprfax (0.6-16) unstable; urgency=low

  * Removed cron entry from conffiles list, allowinf cron to be removed
    on 'remove' and not just 'purge', Closes: #106441

 -- Camm Maguire <camm@enhanced.com>  Tue, 24 Jul 2001 16:16:16 -0400

lprfax (0.6-15) unstable; urgency=low

  * Added build-depends, Closes: #96587

 -- Camm Maguire <camm@enhanced.com>  Mon, 14 May 2001 10:47:33 -0400

lprfax (0.6-14) unstable; urgency=low

  * Ensure that Get_Conf_Path returns only one entry, closes: #69726.

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Sep 2000 05:59:12 +0200

lprfax (0.6-13) unstable; urgency=low

  * Removed :server: from send queue to enable retry functionality.
    Need to examine the :server: issue further

 -- Camm Maguire <camm@enhanced.com>  Fri, 30 Jun 2000 00:07:11 +0200

lprfax (0.6-12) unstable; urgency=low

  * Remove stray '/' from PATH in init script
  * Check /etc/lprng as well as /etc/ for lpd.conf.  Closes: #66414.
  * Moved /etc/lprfax/printcap to end of printcap path
  * Moved patched sendfax binary to /usr/lib/lprfax
  * Added :server: entries in printcap to ensure proper functioning

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Jun 2000 15:38:38 -0400

lprfax (0.6-11) unstable; urgency=low

  * Add explicit path to checkpc in init script

 -- Camm Maguire <camm@enhanced.com>  Mon, 26 Jun 2000 18:18:17 +0200

lprfax (0.6-10) unstable; urgency=low

  * Minor changes to postgresql database fax number lookup example in
    lprfax.conf

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jun 2000 20:47:44 +0200

lprfax (0.6-9) unstable; urgency=low

  * Priority now extra, as we depend on lprng.  Closes #65928
  * Enabled multiple copies by default in printcap
  * Removed fx printcap entry as suggested on lprng list
  * No log files, account files only where needed, as suggested on lprng
    list
  * Changed old '#'<num> options to '=<num>'
  * Added facility to purge spool files saved on printer error after a
    configurable number of days
  * Run checkpc -f only on lprfax queues in config script
  * I am attempting to have the author of hp2pbm agree to license
    wording that would allow a (currently completed) Debian package in
    the main section.  Until this is accomplished, I've removed the
    dependency of lprfax on this pending package.  The config script
    will enable hp2pbm filtering if the target system has an hp2pbm
    package marked for installation.  Closes #65986.

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jun 2000 19:57:08 +0200

lprfax (0.6-8) unstable; urgency=low

  * Added Lookup_Names call before faxing in output_filter

 -- Camm Maguire <camm@enhanced.com>  Sat, 29 Apr 2000 00:25:19 +0200

lprfax (0.6-7) unstable; urgency=low

  * Optional auto updates of smb.conf to export fax printer to Windows
  * Examples moved to /usr/lib/lprfax

 -- Camm Maguire <camm@enhanced.com>  Tue, 25 Apr 2000 23:54:23 +0200

lprfax (0.6-6) unstable; urgency=low

  * Prevented normal output from cron job being mailed to admin

 -- Camm Maguire <camm@enhanced.com>  Tue, 18 Apr 2000 01:09:40 +0200

lprfax (0.6-5) unstable; urgency=low

  * Added alternate (old) paths for mgetty fonts
  * Minor changes to config script
  * Refined exit status logic
  * Added dependencies on transfig and libjpeg-progs

 -- Camm Maguire <camm@enhanced.com>  Sat, 15 Apr 2000 06:57:31 +0200

lprfax (0.6-4) unstable; urgency=low



=== debian/control ===
Source: lprfax
Section: net
Priority: extra
Build-Depends: debhelper ( >= 5 )
Maintainer: Camm Maguire <camm@debian.org>
Standards-Version: 3.8.4

Package: lprfax
Architecture: any
Pre-Depends: lprng (>=3.6.12), debianutils (>=1.6), mgetty-fax
Depends: ${shlibs:Depends}, netpbm, magicfilter, ghostscript, transfig, libjpeg-progs, texlive-latex-base, poppler-utils, ${misc:Depends}
Suggests: samba, smbclient
Description: Utility to allow printing to a fax modem
 lprfax provides a set of scripts and programs to control network
 fax spooling through the LPRng print system.  The goal is to enable
 transparent faxing in any application able to print, via 
 'lpr -Pfax -J<number or name>'. 
 Features:
  * integration with mgetty/sendfax system and configuration files
  * load balancing among multiple fax modems
  * remote queue/log inspection and control
  * Customizable cover page generation via banner-page filters
  * Customizable name/fax number lookup from job specification
  * automated fax retries via lprng hold/release mechanism

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/lprfax

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
